net.minecraft.client.gui

## Class GuiTextField

- java.lang.Object
- - net.minecraft.client.gui.Gui
  - - net.minecraft.client.gui.GuiTextField

-     public class GuiTextField
      extends Gui

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `int` | `height`
    `int` | `width`
    `int` | `xPosition`
    `int` | `yPosition`

    - ### Fields inherited from class net.minecraft.client.gui.Gui

      `icons, optionsBackground, statIcons, zLevel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GuiTextField(FontRenderer par1FontRenderer, int par2, int par3, int par4, int par5)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteFromCursor(int p_146175_1_)`
    `void` | `deleteWords(int p_146177_1_)`
    `void` | `drawTextBox()`
    `int` | `func_146197_a(int p_146197_1_, int p_146197_2_, boolean p_146197_3_)`
    `int` | `getCursorPosition()`
    `boolean` | `getEnableBackgroundDrawing()`
    `int` | `getMaxStringLength()`
    `int` | `getNthWordFromCursor(int p_146187_1_)`
    `int` | `getNthWordFromPos(int p_146183_1_, int p_146183_2_)`
    `java.lang.String` | `getSelectedText()`
    `int` | `getSelectionEnd()`
    `java.lang.String` | `getText()`
    `boolean` | `getVisible()`
    `int` | `getWidth()`
    `boolean` | `isFocused()`
    `void` | `mouseClicked(int p_146192_1_, int p_146192_2_, int p_146192_3_)`
    `void` | `moveCursorBy(int p_146182_1_)`
    `void` | `setCanLoseFocus(boolean p_146205_1_)`
    `void` | `setCursorPosition(int p_146190_1_)`
    `void` | `setCursorPositionEnd()`
    `void` | `setCursorPositionZero()`
    `void` | `setDisabledTextColour(int p_146204_1_)`
    `void` | `setEnableBackgroundDrawing(boolean p_146185_1_)`
    `void` | `setEnabled(boolean p_146184_1_)`
    `void` | `setFocused(boolean p_146195_1_)`
    `void` | `setMaxStringLength(int p_146203_1_)`
    `void` | `setSelectionPos(int p_146199_1_)`
    `void` | `setText(java.lang.String p_146180_1_)`
    `void` | `setTextColor(int p_146193_1_)`
    `void` | `setVisible(boolean p_146189_1_)`
    `boolean` | `textboxKeyTyped(char p_146201_1_, int p_146201_2_)`
    `void` | `updateCursorCounter()`
    `void` | `writeText(java.lang.String p_146191_1_)`

    - ### Methods inherited from class net.minecraft.client.gui.Gui

      `drawCenteredString, drawGradientRect, drawHorizontalLine, drawRect, drawString, drawTexturedModalRect, drawTexturedModelRectFromIcon, drawVerticalLine, func_146110_a`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### xPosition

          public int xPosition

    - #### yPosition

          public int yPosition

    - #### width

          public int width

    - #### height

          public int height

  - ### Constructor Detail

    - #### GuiTextField

          public GuiTextField(FontRenderer par1FontRenderer,
                      int par2,
                      int par3,
                      int par4,
                      int par5)

  - ### Method Detail

    - #### updateCursorCounter

          public void updateCursorCounter()

    - #### setText

          public void setText(java.lang.String p_146180_1_)

    - #### getText

          public java.lang.String getText()

    - #### getSelectedText

          public java.lang.String getSelectedText()

    - #### writeText

          public void writeText(java.lang.String p_146191_1_)

    - #### deleteWords

          public void deleteWords(int p_146177_1_)

    - #### deleteFromCursor

          public void deleteFromCursor(int p_146175_1_)

    - #### getNthWordFromCursor

          public int getNthWordFromCursor(int p_146187_1_)

    - #### getNthWordFromPos

          public int getNthWordFromPos(int p_146183_1_,
                              int p_146183_2_)

    - #### func_146197_a

          public int func_146197_a(int p_146197_1_,
                          int p_146197_2_,
                          boolean p_146197_3_)

    - #### moveCursorBy

          public void moveCursorBy(int p_146182_1_)

    - #### setCursorPosition

          public void setCursorPosition(int p_146190_1_)

    - #### setCursorPositionZero

          public void setCursorPositionZero()

    - #### setCursorPositionEnd

          public void setCursorPositionEnd()

    - #### textboxKeyTyped

          public boolean textboxKeyTyped(char p_146201_1_,
                                int p_146201_2_)

    - #### mouseClicked

          public void mouseClicked(int p_146192_1_,
                          int p_146192_2_,
                          int p_146192_3_)

    - #### drawTextBox

          public void drawTextBox()

    - #### setMaxStringLength

          public void setMaxStringLength(int p_146203_1_)

    - #### getMaxStringLength

          public int getMaxStringLength()

    - #### getCursorPosition

          public int getCursorPosition()

    - #### getEnableBackgroundDrawing

          public boolean getEnableBackgroundDrawing()

    - #### setEnableBackgroundDrawing

          public void setEnableBackgroundDrawing(boolean p_146185_1_)

    - #### setTextColor

          public void setTextColor(int p_146193_1_)

    - #### setDisabledTextColour

          public void setDisabledTextColour(int p_146204_1_)

    - #### setFocused

          public void setFocused(boolean p_146195_1_)

    - #### isFocused

          public boolean isFocused()

    - #### setEnabled

          public void setEnabled(boolean p_146184_1_)

    - #### getSelectionEnd

          public int getSelectionEnd()

    - #### getWidth

          public int getWidth()

    - #### setSelectionPos

          public void setSelectionPos(int p_146199_1_)

    - #### setCanLoseFocus

          public void setCanLoseFocus(boolean p_146205_1_)

    - #### getVisible

          public boolean getVisible()

    - #### setVisible

          public void setVisible(boolean p_146189_1_)